[Unit]
Description=WebSocket SSH Client
After=network.target syslog.target
Requires=network.target
ConditionPathExists=!/etc/init.d/wssshc
ConditionPathExists=!/var/run/wssshc-watchdog.pid

[Service]
Type=forking
User=wssshc
Group=wssshc
EnvironmentFile=-/etc/default/wssshc
ExecStart=/usr/sbin/wssshc-watchdog start
ExecStop=/usr/sbin/wssshc-watchdog stop
ExecReload=/usr/sbin/wssshc-watchdog restart
PIDFile=/var/run/wssshc-watchdog.pid
Restart=on-failure
RestartSec=5

[Install]
WantedBy=multi-user.target